io.agora.rtc

## Class AudioVolumeInfo

- java.lang.Object
- - io.agora.rtc.AudioVolumeInfo

-     public class AudioVolumeInfo
      extends java.lang.Object

  Audio volume information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `userId` User ID of the audio source
    `private int` | `vad` Voice Activity Detection (VAD) result
    `private double` | `voicePitch` Pitch of the voice
    `private int` | `volume` Volume level of the audio

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AudioVolumeInfo()` Default constructor for AudioVolumeInfo.
    `AudioVolumeInfo(java.lang.String userId, int volume, int vad, double voicePitch)` Constructs AudioVolumeInfo with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getUserId()` Gets the user ID of the audio source.
    `int` | `getVad()` Gets the Voice Activity Detection (VAD) result.
    `double` | `getVoicePitch()` Gets the pitch of the voice.
    `int` | `getVolume()` Gets the volume level of the audio.
    `void` | `setUserId(java.lang.String userId)` Sets the user ID of the audio source.
    `void` | `setVad(int vad)` Sets the Voice Activity Detection (VAD) result.
    `void` | `setVoicePitch(double voicePitch)` Sets the pitch of the voice.
    `void` | `setVolume(int volume)` Sets the volume level of the audio.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### userId

          private java.lang.String userId

      User ID of the audio source

    - #### volume

          private int volume

      Volume level of the audio

    - #### vad

          private int vad

      Voice Activity Detection (VAD) result

    - #### voicePitch

          private double voicePitch

      Pitch of the voice

  - ### Constructor Detail

    - #### AudioVolumeInfo

          public AudioVolumeInfo()

      Default constructor for AudioVolumeInfo.

    - #### AudioVolumeInfo

          public AudioVolumeInfo(java.lang.String userId,
                                 int volume,
                                 int vad,
                                 double voicePitch)

      Constructs AudioVolumeInfo with all parameters.
      Parameters:
        `userId` - User ID of the audio source
        `volume` - Volume level of the audio
        `vad` - Voice Activity Detection (VAD) result
        `voicePitch` - Pitch of the voice

  - ### Method Detail

    - #### getUserId

          public java.lang.String getUserId()

      Gets the user ID of the audio source.
      Returns:
        User ID of the audio source

    - #### setUserId

          public void setUserId(java.lang.String userId)

      Sets the user ID of the audio source.
      Parameters:
        `userId` - User ID of the audio source

    - #### getVolume

          public int getVolume()

      Gets the volume level of the audio.
      Returns:
        Volume level of the audio

    - #### setVolume

          public void setVolume(int volume)

      Sets the volume level of the audio.
      Parameters:
        `volume` - Volume level of the audio

    - #### getVad

          public int getVad()

      Gets the Voice Activity Detection (VAD) result.
      Returns:
        VAD result

    - #### setVad

          public void setVad(int vad)

      Sets the Voice Activity Detection (VAD) result.
      Parameters:
        `vad` - VAD result

    - #### getVoicePitch

          public double getVoicePitch()

      Gets the pitch of the voice.
      Returns:
        Pitch of the voice

    - #### setVoicePitch

          public void setVoicePitch(double voicePitch)

      Sets the pitch of the voice.
      Parameters:
        `voicePitch` - Pitch of the voice

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`